image: docker:stable

stages:
  - build
  #- test
  - release
  #- deploy

services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay2
  CONTAINER_IMAGE_NAME: node-exporter
  CONTAINER_REGISTRY_NAMESPACE: itri-opteam/dnn
  CONTAINER_REGISTRY_DOMAIN: registry.gitlab.com
  CONTAINER_RELEASE_IMAGE: $CONTAINER_REGISTRY_DOMAIN/$CONTAINER_REGISTRY_NAMESPACE/$CONTAINER_IMAGE_NAME:latest

before_script:
  - export CONTAINER_TEST_IMAGE=$CONTAINER_REGISTRY_DOMAIN/$CONTAINER_REGISTRY_NAMESPACE/$CONTAINER_IMAGE_NAME:`echo $CI_BUILD_REF_NAME | sed -e 's/[\/|.]/-/g'`
  - echo "kubednn@ITRI" | docker login --username kubednn --password-stdin $CONTAINER_REGISTRY_DOMAIN

build:
  stage: build
  script:
    # builds and push the test image
    - docker build --pull -t $CONTAINER_TEST_IMAGE --file Dockerfile .
    - docker push $CONTAINER_TEST_IMAGE

release-image:
  stage: release
  script:
    - docker pull $CONTAINER_TEST_IMAGE
    - docker tag $CONTAINER_TEST_IMAGE $CONTAINER_RELEASE_IMAGE
    - docker push $CONTAINER_RELEASE_IMAGE
  only:
    - master
